Bug 208217 - editors/emacs: modernize
Summary: editors/emacs: modernize
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords: needs-qa, patch
Depends on:
Blocks: 208218
  Show dependency treegraph
 
Reported: 2016-03-22 19:10 UTC by Jan Beich
Modified: 2016-04-08 08:38 UTC (History)
1 user (show)

See Also:
ashish: maintainer-feedback+


Attachments
v0 (9.08 KB, patch)
2016-03-22 19:10 UTC, Jan Beich
no flags Details | Diff
v0.1 (9.91 KB, patch)
2016-03-22 21:06 UTC, Jan Beich
jbeich: maintainer-approval? (ashish)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2016-03-22 19:10:41 UTC
Created attachment 168509 [details]
v0

Basic grooming for the hairy port. No logic changes for the default behavior yet.

- nox11: Kill EMACS_NO_X11_SLAVE in favor of ?= variables
- nox11: Conflict with any EMACS_VER
- Conflict only for install
- Clarify LICENSE has "or any later version" clause
- Finish option helpers conversion
- Convert patch-sources.el to SUB_FILES
- Convert IGNORE and SOUND to _IMPLIES
- Convert *FLAGS to USES=localbase
- Drop DBUS_PTHREAD_LIBS after ports r382294
- Drop default WRKSRC
- Drop Clang workaround for unsupported FreeBSD versions

Both master and -nox11 slave build fine on 10.1R i386 with default options. Anything else to test?
Comment 1 Jan Beich freebsd_committer 2016-03-22 21:06:34 UTC
Created attachment 168513 [details]
v0.1

Doh, adding SINGLE option itself into DEFAULT is an old way of doing RADIO. This version fixes de-selecting all X11 and SOUND options in master port.

- Convert IGNORE and SOUND to _IMPLIES

becomes

- Convert X11 and SOUND to RADIO via IMPLIES
Comment 2 Ashish SHUKLA freebsd_committer 2016-03-25 12:48:42 UTC
I looked at your changes, and they seem pretty good to me. I'll try them this weekend, and provide a proper feedback.

Thank you for working on this.
Comment 3 Jan Beich freebsd_committer 2016-04-06 17:59:31 UTC
Which weekend? ;)
Comment 4 Ashish SHUKLA freebsd_committer 2016-04-07 08:40:55 UTC
Hi

Sorry for the delay in reply. The patch tested fine. I will try to commit this  tomorrow.

Thanks!
Comment 5 commit-hook freebsd_committer 2016-04-08 08:01:08 UTC
A commit references this bug:

Author: ashish
Date: Fri Apr  8 08:00:16 UTC 2016
New revision: 412722
URL: https://svnweb.freebsd.org/changeset/ports/412722

Log:
  editors/emacs:
   - Clarify LICENSE, as it's "or any later version" clause
   - Switch to CONFLICTS_INSTALL, as conflicts only happen on install
   - Finish OPTIONS helpers conversion
   - Convert patch-sources.el to SUB_FILES
   - Convert *FLAGS to USES=localbase
   - Convert IGNORE and SOUND to _IMPLIES
   - Drop DBUS_PTHREAD_LIBS after ports r382294
   - Drop default WRKSRC
   - Drop clang workaround for unsupported FreeBSD versions

  editors/emacs-nox11:
   - Kill EMACS_NO_X11_SLAVE in favour of ?= variables
   - Conflict with any EMACS_VER

  PR:		208217
  Submitted by:	jbeich

Changes:
  head/editors/emacs/Makefile
  head/editors/emacs/files/patch-sources.el
  head/editors/emacs/files/sources.el.in
  head/editors/emacs-nox11/Makefile
Comment 6 Ashish SHUKLA freebsd_committer 2016-04-08 08:38:36 UTC
Committed, thanks!